View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0011941ParaViewBugpublic2011-03-08 12:582011-04-05 17:17
ReporterPaul Edwards 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version10.04
Product VersionDevelopment 
Target VersionFixed in Version3.12 
Summary0011941: Bug with selection in chart view
DescriptionIf you select an area in the line chart view that does not contain any points it causes a segfault.
Steps To Reproduce1) Create Wavelet
2) Extract Surface
3) Plot On Intersection Curves
4) Drag middle mouse button around a region that doesn't have any points
Additional Informationpatch to fix:

diff --git a/Qt/Core/pqContextView.cxx b/Qt/Core/pqContextView.cxx
index db7fc09..a3356b5 100644
--- a/Qt/Core/pqContextView.cxx
+++ b/Qt/Core/pqContextView.cxx
@@ -445,6 +445,10 @@ void pqContextView::selectionChanged()
     }
 
   vtkIdTypeArray *arr = vtkIdTypeArray::SafeDownCast(node->GetSelectionList());
+ if (!arr)
+ {
+ return;
+ }
   ids.clear();
   for (vtkIdType i = 0; i < arr->GetNumberOfTuples(); ++i)
     {
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0025694)
Paul Edwards (reporter)
2011-03-08 13:01

Sorry - I'm using an older version of the source and this has been fixed now. Please close this issue.
(0026021)
Utkarsh Ayachit (administrator)
2011-04-01 11:20

Marking closed by users request.
(0026102)
Alan Scott (manager)
2011-04-05 17:17

Tested Linux, local server, trunk.
(And , the reporter says to close it!)

- Issue History
Date Modified Username Field Change
2011-03-08 12:58 Paul Edwards New Issue
2011-03-08 13:01 Paul Edwards Note Added: 0025694
2011-04-01 11:20 Utkarsh Ayachit Note Added: 0026021
2011-04-01 11:20 Utkarsh Ayachit Status backlog => @80@
2011-04-01 11:20 Utkarsh Ayachit Fixed in Version => 3.12
2011-04-01 11:20 Utkarsh Ayachit Resolution open => fixed
2011-04-01 11:20 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2011-04-05 17:17 Alan Scott Note Added: 0026102
2011-04-05 17:17 Alan Scott Status @80@ => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker